<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
        <link rel="stylesheet" href="style.css" />
        <title>Tableau</title>
    </head>
 
    <body> 
	<h2> Vérification: affichage de $_POST </h2>
	<?php echo '<pre>' ; print_r($_POST); echo '</pre>'; ?>    	
	<?php
		include_once("fonctionsUnUtilisateur.php");
		include_once("fonctionsLesUtilisateurs.php");
		// affichage du tableau avec un print_r
		echo '<h2>affichage avec un print_r</h2>';
		$lesUtilisateurs=array();
		print_rLesUtilisateurs($lesUtilisateurs);

		if( isset($_POST['submit']) ) {
			if (   !isset($_POST['nom']) OR ltrim($_POST['nom'])==''
				OR !isset($_POST['mail']) OR ltrim($_POST['mail'])==''	
				OR !isset($_POST['annee']) OR ltrim($_POST['annee'])==''
				OR !isset($_POST['password']) OR ltrim($_POST['password'])==''
			){
				echo '<h2>Tous les champs sont obligatoires</h2>';
			}
			else {
				ajouterUtilisateur($lesUtilisateurs, creerUtilisateur($_POST['nom'],$_POST['mail'],$_POST['password'],$_POST['annee']));
			}
		}
		unset($_POST['submit']);

		echo '<h2>Initialisation du tableau</h2>';
		$utilisateur=creerUtilisateur('Sia PEI','ji@gmail.com','jipei',1994);
		print_rUtilisateur($utilisateur);
		afficherUtilisateur($utilisateur);
		afficherUtilisateurStyle($utilisateur);

		ajouterUtilisateur($lesUtilisateurs, $utilisateur);

		ajouterUtilisateur($lesUtilisateurs, creerUtilisateur('Yawei CAI','jawei@yahoo.com','yaweicai',1995));
		ajouterUtilisateur($lesUtilisateurs, creerUtilisateur('Zikeng PENG','zikeng@china.com','zikeng',1993));
		ajouterUtilisateur($lesUtilisateurs, creerUtilisateur('Jiawen LI','jiawen@orange.fr','jiawen',1994));
		ajouterUtilisateur($lesUtilisateurs, creerUtilisateur('Xiaoyu LIU','xiowyu@gmail.fr','liu',1995));
		ajouterUtilisateur($lesUtilisateurs, creerUtilisateur('Olivier TRAN','tran@gmailcom','olivier',1996));

		// affichage du tableau avec un print_r
		echo '<h2>affichage avec un print_r</h2>';
		print_rLesUtilisateurs($lesUtilisateurs);

		// affichage du tableau avec un for
		echo '<h2>affichage avec un for</h2>';
		afficherLesUtilisateursFor($lesUtilisateurs);

		// affichage du tableau avec un foreach
		echo '<h2>affichage avec un foreach</h2>';
		afficherLesUtilisateurs($lesUtilisateurs);

		// affichage du tableau avec un foreach
		echo '<h2>affichage avec un foreach</h2>';
		afficherLesUtilisateursStyle($lesUtilisateurs);

		// affichage du tableau trié par age décroissant
		triLesUtilisateurs($lesUtilisateurs, 'anneeNaissance', SORT_ASC);
		echo '<h2>affichage trié par age décroissant : </h2>';
		afficherLesUtilisateursStyle($lesUtilisateurs);

		// affichage du tableau trié par nom décroissant
		triLesUtilisateurs($lesUtilisateurs, 'nom', SORT_DESC);
		echo '<h2>affichage trié par nom décroissant : </h2>';
		afficherLesUtilisateursStyle($lesUtilisateurs);

		// affichage du tableau trié par age croissant et nom décroissant
		triLesUtilisateurs2($lesUtilisateurs, 'anneeNaissance', SORT_DESC, 'nom', SORT_DESC);
		echo '<h2>affichage trié par age croissant et nom décroissant : </h2>';
		afficherLesUtilisateursStyle($lesUtilisateurs);

		// écriture dans un fichier
		$nomFichier='./lesUtilisateur.txt';
		echo '<h2>Enregistrement dans le fichier : '.$nomFichier.' </h2>';
		ecrireLesUtilisateursDansFichier($nomFichier, $lesUtilisateurs);

		// lecture dans un fichier
		echo '<h2>Affichage du contenu du fichier : '.$nomFichier.' </h2>';
		lireLesUtilisateursDansFichier($nomFichier, $lesUtilisateurs2);
		afficherLesUtilisateursStyle($lesUtilisateurs2);	
	?>
		<h2>Entrez les informations dun utilisateurs</h2>
		<p>Tous les champs sont obligatoires</h2>
		<form action="TP_tableau_formulaire.php" method="POST" >
			<fieldset>
				<legend>Entrez le bon mot de passe pour accéder aux codes secrets</legend>
				<p><label for="nom">Nom et Prénom</label>
				<input type="nom" name="nom" id="password" placeholder="nom"></p>
				<p><label for="mail">mail</label>
				<input type="mail" name="mail" id="mail" placeholder="mail"></p>
				<p><label for="mail">mot de passe</label>
				<input type="password" name="password" id="password" placeholder="password"></p>
				<p><label for="annee">année naissance</label>
				<input type="annee" name="annee" id="password" placeholder="annee"></p>
				<p><input type="submit" name="submit" value="Valider"></p>
			</fieldset>
		</form>	
	</body>	
</html>