<?php
	/* Fonctions de manipulation d'un utilisateur
		- creerUtilisateur($nom, $mail, $motDePasse, $anneeNaissance)
		- ageUtilisateur($unUtilisateur)
		- print_rUtilisateur($unUtilisateur)
		- afficherUtilisateur($unUtilisateur)
		- afficherUtilisateurStyle($unUtilisateur)
	*/
	function creerUtilisateur($nom, $mail, $motDePasse, $anneeNaissance){
		$unUtilisateur = array(
			'nom'=>$nom,
			'mail'=>$mail,
			'motDePasse'=>$motDePasse,
			'anneeNaissance'=>$anneeNaissance
		);
		return $unUtilisateur;
	}

	function ageUtilisateur($unUtilisateur){
		/* version longue
		$today=getdate();	
		$year=$today['year'];
		$age=$year-$unUtilisateur['anneeNaissance'];
		return $age; 
		*/
		return getdate()['year']-$unUtilisateur['anneeNaissance'];
	}

	function print_rUtilisateur($unUtilisateur) {
		print_r($unUtilisateur); 
		echo '<br/>';
	}

	function afficherUtilisateur($unUtilisateur){
		echo $unUtilisateur['nom']. '-' .$unUtilisateur['mail']. '-' .
			$unUtilisateur['motDePasse']. '-' .ageUtilisateur($unUtilisateur);
		echo '<br/>';
	}

	function afficherUtilisateurStyle($unUtilisateur){
		echo '<tr>';
		echo '<td>'.$unUtilisateur['nom'].'</td>';
		echo '<td>'.$unUtilisateur['mail'].'</td>';
		echo '<td>'.$unUtilisateur['motDePasse'].'</td>';
		echo '<td>'.ageUtilisateur($unUtilisateur).'</td>';
		echo '</tr>';
	}
?>