<?php
	/* Fonctions de manipulation d'une collection d'utilisateurs
		- ajouterUtilisateur(&$lesUtilisateurs, $unUtilisateur)
		- print_rLesUtilisateurs($lesUtilisateurs)
		- afficherLesutilisateursFor($lesUtilisateurs)
		- afficherLesutilisateurs($lesUtilisateurs)
		- afficherLesutilisateursStyle($lesUtilisateurs)
		- triLesUtilisateurs(&$lesUtilisateurs, $champ, $sort)
		- function triLesUtilisateurs2(&$lesUtilisateurs, $champ1, $sort1, $champ2, $sort2)
		- ecrireLesUtilisateursDansFichier($nomFichier, $lesUtilisateurs)
		- lireLesUtilisateursDansFichier($nomFichier, &$lesUtilisateurs)
	*/

	// il faut mettre un & car le tableau est modifié
	include_once("fonctionsUnUtilisateur.php");

	function ajouterUtilisateur(&$lesUtilisateurs, $unUtilisateur){
		echo 'AJOUT : '; print_rUtilisateur($unUtilisateur);
		$lesUtilisateurs[] = $unUtilisateur;
	}

	function print_rLesUtilisateurs($lesUtilisateurs) {
		foreach ($lesUtilisateurs as $unUtilisateur){
			print_rUtilisateur($unUtilisateur);
		}
	}

	function afficherLesutilisateursFor($lesUtilisateurs){
		for($i=0; $i<count($lesUtilisateurs);$i++){
			afficherUtilisateur($lesUtilisateurs[$i]);
		}
	}

	function afficherLesutilisateurs($lesUtilisateurs){
		foreach ($lesUtilisateurs as $unUtilisateur){
			afficherUtilisateur($unUtilisateur);
		}
	}
	function afficherLesutilisateursStyle($lesUtilisateurs){
		echo '<table><caption> Tableau des utilisateurs</caption>';
		echo '<tr>
                <th>Nom</th>
                <th>mail</th>
                <th>password</th>
                <th>année naissance</th>
              </tr>';
		foreach ($lesUtilisateurs as $unUtilisateur){
			afficherUtilisateurStyle($unUtilisateur);
		}
		echo '</table>';
	}

	// il faut mettre un & car le tableau est modifié
	// $champ est le nom du champ de tri
	// $sort c'est le sens du tri
	function triLesUtilisateurs(&$lesUtilisateurs, $champ, $sort){
		//echo '<h2>entrée dans la fonction triTab</h2>';
		// tri du tableau par age
		// on commence par fabriquer un tableau avec uniquement les ages
		foreach ($lesUtilisateurs as $indice => $unUtilisateur){
		    $lesChamps[$indice]  = $unUtilisateur[$champ];
		}
		// la fonction arry multisort tri avec le tableau à trié et le tableau de la colonne à trié 
		array_multisort($lesChamps, $sort, $lesUtilisateurs);
	}

	// il faut mettre un & car le tableau est modifié
	// $champ est le nom du champ de tri
	// $sort c'est le sens du tri
	function triLesUtilisateurs2(&$lesUtilisateurs, $champ1, $sort1, $champ2, $sort2){
		//echo '<h2>entrée dans la fonction triTab</h2>';
		// tri du tableau par age
		// on commence par fabriquer un tableau avec uniquement les ages
		foreach ($lesUtilisateurs as $indice => $unUtilisateur){
		    $lesChamps1[$indice]  = $unUtilisateur[$champ1];
		}
		foreach ($lesUtilisateurs as $indice => $unUtilisateur){
		    $lesChamps2[$indice]  = $unUtilisateur[$champ2];
		}		
		// la fonction arry multisort tri avec le tableau à trié et le tableau de la colonne à trié 
		array_multisort($lesChamps1, $sort1, $lesChamps2, $sort2, $lesUtilisateurs);
	}

	function ecrireLesUtilisateursDansFichier($nomFichier, $lesUtilisateurs)
	{
	    $ptfich=fopen($nomFichier, "w");

	    foreach ($lesUtilisateurs as $unUtilisateur){
    		foreach ($unUtilisateur as $element){
				echo $element.' -- ';
        		fprintf($ptfich, "%s -- ", $element);
    		}
    		echo '<br/>' ;
    		fprintf($ptfich, "\n"); //\n tout seul pour le saut de ligne
    	}

	    fclose($ptfich);
	}
	
	function lireLesUtilisateursDansFichier($nomFichier, &$lesUtilisateurs)
	{
	    /*
	    Pour la lecture, il faudrait lire caractère par caractère et formater le fichier pour distinguer entre champs de la structure.
	    Ici, on considère que les 3 champs ne contiennent pas d'espaces
	    Et on se dote de trois variables intermédiare d'une taille fixe de 50 qui est donc la taille max
	    */
	    printf("\nLecture dans le fichier: %s\n", $nomFichier);
	    $ptfich=fopen($nomFichier, "r");
	    while (!feof($ptfich)){
	    	// on lit 5 paramètres car prénom et nom sont deux chaînes séparées
	    	// on met les -- car ils sont dans le fichier
	        $lectureOK=fscanf($ptfich, "%s %s -- %s -- %s -- %s -- ", 
	        	$prenom, $nom, $mail, $motDePasse, $anneeNaissance);
	        if(!$lectureOK) { // si on a un problème de lecture, on sort
	        	return 0;     // on peut gérer ça plus finement !
	        }
	        $unUtilisateur=creerUtilisateur($prenom.' '.$nom, $mail, $motDePasse, $anneeNaissance);
	        ajouterUtilisateur($lesUtilisateurs, $unUtilisateur);
	    }
	    fclose($ptfich);
	    return 1;
	    
	}

?>